package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppBondConfig;

/**
 * 保证金配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface AppBondConfigMapper 
{
    /**
     * 查询保证金配置
     * 
     * @param id 保证金配置主键
     * @return 保证金配置
     */
    public AppBondConfig selectAppBondConfigById(Long id);

    /**
     * 查询保证金配置列表
     * 
     * @param appBondConfig 保证金配置
     * @return 保证金配置集合
     */
    public List<AppBondConfig> selectAppBondConfigList(AppBondConfig appBondConfig);

    /**
     * 新增保证金配置
     * 
     * @param appBondConfig 保证金配置
     * @return 结果
     */
    public int insertAppBondConfig(AppBondConfig appBondConfig);

    /**
     * 修改保证金配置
     * 
     * @param appBondConfig 保证金配置
     * @return 结果
     */
    public int updateAppBondConfig(AppBondConfig appBondConfig);

    /**
     * 删除保证金配置
     * 
     * @param id 保证金配置主键
     * @return 结果
     */
    public int deleteAppBondConfigById(Long id);

    /**
     * 批量删除保证金配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppBondConfigByIds(Long[] ids);

    AppBondConfig getAppBondConfig();
}
